Logo
OpenScaler
API DocumentationVirtual Private Cloud (VPC)

List All VPCs

GET
/v1/vpcs

lists VPCs used by user or by project

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Query Parameters

project_id*string

ID of the project used to filter results.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/vpcs?project_id=default"
[  {    "name": "my-vpc",    "description": "My website VPC",    "subnet": "10.1.0.0/24",    "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",    "is_default": false,    "region": "alg1",    "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d",    "project_id": "default"  }]
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}